/*! \page changelog ChangeLog / Todo

  \section cl1 ChangeLog

  - 5.0.0: Use recommended CMake packaging, such as
        \code
        find_package(Imagine REQUIRED COMPONENTS Graphics)
        add_executable(prog prog.cpp)
        target_link_libraries(prog PRIVATE Imagine::Graphics)
        \endcode
        The deprecated macro ImagineUseModules(prog Graphics) continues
        working for backward compatibility.
        When components are not precised in find_package, all are included:
        Common, LinAlg, Graphics, and Images.

        Improvements in 3D handling, using shaders, and functions for lighting.
        Interactive control of point size (Shift-O, shift-P).
        Works also with Mingw 64 bits.

        Various fixes and upgrades:
          - Minimum CMake version is 3.8.
          - Support for Qt4 is removed, initial work to support Qt6.
          - Upgrade Eigen version to 3.4.
          - Robustify OBJ file reading.
          - Check for indices in Matrix coefficient accesss.

  - 4.3.2: colors ORANGE and PURPLE, fix bug in linSolve (overdetermined system)
  - 4.3.1: fix bug in linSolve (inherited from Eigen?)
  - 4.3.0: remove infamous IMAGINEPP_ROOT (use Imagine_DIR), better keyboard event handling (repetition, modifier keys), VS2015, gcc 5, upgrade Eigen.
  - 4.2.0: Transparency, mouse tracking, doc on event handling.
  - 4.1.0: Qt5 support for all platforms, MacOS Mavericks, VS2013. POV setting in 3D graphics.
  - 4.0.2: support for Qt5 and VS2012, option of build without 3D, add quick start guide. Under the hood: Eigen 3.1.3. Support for argc/argv in main.
  - 4.0.1: fix linSolve (LinAlg) for over-determined system, fix build with old versions of gcc
  - 4.0.0: dependencies: wxWidgets+VTK->Qt4, MKL->Eigen. API change for 3D graphics. Tested under Windows, Linux and MacOS.
  - 3.2.0: Visual 2010; CGAL 5.6
  - 3.1.1: back to CGAL 3.4 (labo only), VLFeat-0.96
  - 3.1.0: naming convention
  - 3.0.0: first version

  \section cl2 Todo

  - Mid Term
    - File dialog and push buttons
    - Symmetric matrices (when better support in Eigen)
    - Sparse matrices

*/
